@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

:root {
  --primary-color: #fdc500;
  --secondary-color: #fcc506;
  --primary-dark: #ffa001;
  --blobs-bg-color: #ffefc5;
  --bg-color: #fffff4;
  --dark-bg-color: #031c30;
  --light-bg-color: #e6f0ec;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--bg-color);
}

.hero-section {
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.slideshow-container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  display: none;
}

.slide img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  pointer-events: none;
}

.dots-container {
  position: absolute;
  right: 30px;
  bottom: 20px;
}

.dot {
  height: 12px;
  width: 12px;
  margin: 0 2px;
  border: 1px solid var(--primary-dark);
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active {
  background-color: var(--primary-dark);
}

.previous-slide-button,
.next-slide-button {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next-slide-button {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.previous-slide-button {
  left: 0;
  border-radius: 3px 0 0 3px;
}

.previous-slide-button:hover,
.next-slide-button:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.banner-container {
  width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  font-family: "Inter", sans-serif;
}

.banner-title {
  width: 100%;
  color: white;
  font-weight: 900;
  font-size: 6.5vw;
  margin-bottom: 2rem;
}

.banner-subtitle {
  text-transform: uppercase;
  color: var(--primary-color);
}

.banner-description {
  color: white;
  font-weight: 600;
  font-size: 2.5vw;
  line-height: 40px;
}

.statistics-container {
  position: absolute;
  bottom: 5%;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 1rem;
  overflow-x: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.statistics-container::-webkit-scrollbar {
  display: none;
}

.statistics-box {
  flex-shrink: 0;
  width: 220px;
  height: 130px;
  padding: 20px;
  text-align: center;
  background-color: var(--secondary-color);
  border-top-right-radius: 20px;
  border-bottom-left-radius: 20px;
}

.statistics-count {
  font-family: "Poppins", sans-serif;
  font-size: 2.4rem;
  font-weight: 800;
}

.statistics-description {
  font-weight: 500;
  font-family: "Inter", sans-serif;
  font-size: 0.9rem;
  line-height: 20px;
}

.social-media-sidebar {
  position: fixed;
  bottom: 0.5rem;
  left: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}

.social-media-icon-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  border-radius: 50%;
  text-decoration: none;
  transition: background-color color 0.3s ease-out;
  color: white;
}

.scrolled {
  color: var(--dark-bg-color);
}

.social-media-icon-container i.fa-brands {
  font-size: 24px;
}

.social-media-icon-container:hover {
  background-color: var(--secondary-color);
}

.social-media-bar {
  width: 4px;
  height: 150px;
  background-color: var(--secondary-color);
  border-radius: 30px;
  margin-top: 5px;
}

#loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}

#loading-overlay img {
  width: 60px;
  height: 60px;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
  .social-media-sidebar {
    display: none;
  }

  .banner-title {
    font-size: 2.4rem;
    margin-bottom: 1.5rem;
  }

  .banner-description {
    font-size: 1.7rem;
  }

  .statistics-container {
    gap: 0.5rem;
    bottom: 10%;
    padding: 10px;
    justify-content: flex-start;
  }

  .statistics-box {
    width: 180px;
    height: 130px;
  }

  .statistics-count {
    font-size: 2rem;
  }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) and (max-width: 1023px) {
  .social-media-sidebar {
    display: none;
  }

  .banner-title {
    font-size: 3.5rem;
    margin-bottom: 1.5rem;
  }

  .banner-description {
    font-size: 1.7rem;
  }

  .statistics-container {
    gap: 0.5rem;
    bottom: 8%;
    padding: 10px;
    justify-content: center;
  }

  .statistics-box {
    width: 180px;
    height: 130px;
  }

  .statistics-count {
    font-size: 2rem;
  }
}
